package web

import (
	"embed"
	"io/fs"
)

//go:embed templates/index.html
var Templates embed.FS

//go:embed static/* static/css/* static/js/* favicon.ico
var Assets embed.FS

func StaticFS() (fs.FS, error) {
	return fs.Sub(Assets, "static")
}

func Favicon() ([]byte, error) {
	return Assets.ReadFile("favicon.ico")
}
